classification
Title: sqlite3 authorizer codes constants not up to date
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: berker.peksag, gumblex, python-dev
Priority: normal Keywords: patch

Created on 2016-12-16 03:24 by gumblex, last changed 2017-03-31 16:36 by dstufft. This issue is now closed.

Files
File name Uploaded Description Edit
sqlite3.patch gumblex, 2016-12-16 03:24 review
Pull Requests
URL Status Linked Edit
PR 552 closed dstufft, 2017-03-31 16:36
Messages (4)
msg283363 - (view) Author: Dingyuan Wang (gumblex) * Date: 2016-12-16 03:24
We have the sqlite3.set_authorizer function, where the first argument to its callback is one of the Authorizer Action Codes that the SQLite documentations defines[1]. However, the constants in the sqlite3 module is not up to date. The code in _sqlite/module.c haven't been updated since June, 2006.

According to the SQLite Changelog[2] and digging through the history,

* 2006-08-12 (3.3.7) added SQLITE_CREATE_VTABLE, SQLITE_DROP_VTABLE
* 2006-10-09 (3.3.8) added SQLITE_FUNCTION
* 2009-01-12 (3.6.8) added SQLITE_SAVEPOINT
* 2014-02-03 (3.8.3) added SQLITE_RECURSIVE

The constants above should be present in the module. The documentation[3] says, "All necessary constants are available in the sqlite3 module."

[1] https://sqlite.org/c3ref/c_alter_table.html
[2] https://sqlite.org/changes.html
[3] https://docs.python.org/3/library/sqlite3.html#sqlite3.Connection.set_authorizer
msg283365 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-12-16 06:12
Looks good to me. Thanks for the patch, Dingyuan.

Since this is an enhancement request, we can only commit your patch to the default branch so I updated the versions field accordingly.
msg284450 - (view) Author: Roundup Robot (python-dev) Date: 2017-01-02 03:35
New changeset b9c4139a1309 by Berker Peksag in branch 'default':
Issue #28985: Update authorizer constants in sqlite3 module
https://hg.python.org/cpython/rev/b9c4139a1309
msg284451 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2017-01-02 03:36
Thanks, Dingyuan!
History
Date User Action Args
2017-03-31 16:36:11dstufftsetpull_requests: + pull_request870
2017-01-02 03:36:40berker.peksagsetstatus: open -> closed
resolution: fixed
messages: + msg284451

stage: patch review -> resolved
2017-01-02 03:35:45python-devsetnosy: + python-dev
messages: + msg284450
2016-12-16 06:12:12berker.peksagsetversions: - Python 2.7, Python 3.3, Python 3.4, Python 3.5, Python 3.6
nosy: + berker.peksag

messages: + msg283365

stage: patch review
2016-12-16 03:24:53gumblexcreate